# AutoNodeSetOrderingReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoNodeSetOrderingReset (StaticContext *context, StaticContext::NodeSetOrdering ordering=StaticContext::ORDERING_UNORDERED)
| ~AutoNodeSetOrderingReset ()

## Protected Attributes

StaticContext * | context_
StaticContext::NodeSetOrdering | ordering_

## Constructor & Destructor Documentation

AutoNodeSetOrderingReset::AutoNodeSetOrderingReset | ( | StaticContext * | context,
|  | StaticContext::NodeSetOrdering | ordering = `StaticContext::ORDERING_UNORDERED`
| ) | `[inline]`

AutoNodeSetOrderingReset::~AutoNodeSetOrderingReset | ( |  | ) | `[inline]`

## Member Data Documentation

StaticContext* AutoNodeSetOrderingReset::context_ `[protected]`

StaticContext::NodeSetOrdering AutoNodeSetOrderingReset::ordering_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp